## cweb 3.64

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # This file is part of CWEB.
 # It is distributed WITHOUT ANY WARRANTY, express or implied.
-# Version 3.0 --- June 1993
+# Version 3.63 --- January 2001
 
-# Copyright (C) 1987,1990,1993 Silvio Levy and Donald E. Knuth
+# Copyright (C) 1987,1990,1993,2000 Silvio Levy and Donald E. Knuth
 
 # Permission is granted to make and distribute verbatim copies of this
 # document provided that the copyright notice and this permission notice
@@ -18,7 +18,7 @@
 #
 
 # directory for TeX inputs (cwebmac.tex goes here)
-MACROSDIR= /usr/local/lib/tex/inputs
+MACROSDIR= /usr/local/texmf/tex/generic
 
 # directory for CWEB inputs in @i files
 CWEBINPUTS= /usr/local/lib/cweb
@@ -62,21 +62,26 @@
 RM= /bin/rm
 CP= /bin/cp
 
+# uncomment the second line if you use pdftex to bypass .dvi files
+PDFTEX = dvipdfm
+#PDFTEX = pdftex
+
 ##########  You shouldn't have to change anything after this point #######
 
 CWEAVE = ./cweave
 CTANGLE = ./ctangle
 SOURCES = cweave.w common.w ctangle.w
-ALMOSTALL =  common.w ctangle.w Makefile README common.c common.h ctangle.c \
-	cwebman.tex cwebmac.tex examples comm-vms.ch ctang-vms.ch \
+ALL =  common.w ctangle.w cweave.w prod.w \
+	Makefile common.c common.h ctangle.c \
+	cwebman.tex cwebmac.tex comm-vms.ch ctang-vms.ch \
 	cweav-vms.ch comm-man.ch ctang-man.ch cweav-man.ch \
 	comm-pc.ch ctang-pc.ch cweav-pc.ch comm-amiga.ch \
         comm-bs.ch ctang-bs.ch cweav-bs.ch makefile.bs \
 	comm-ql.ch ctang-ql.ch cweav-ql.ch readme.ql \
-	comm-os2.ch cweb.1 cweb.el prod.w
-ALL =  $(ALMOSTALL) cweave.w
+	comm-w32.ch ctang-w32.ch cweav-w32.ch \
+	comm-os2.ch comm-mac.ch cweb.1 cweb.el c++lib.w README
 
-.SUFFIXES: .dvi .tex .w
+.SUFFIXES: .dvi .tex .w .pdf
 
 .w.tex:
 	$(CWEAVE) $*
@@ -94,6 +99,13 @@
 .w.o:
 	make $*.c
 	make $*.o
+
+.w.pdf:
+	make $*.tex
+	case "$(PDFTEX)" in \
+	 dvipdfm ) tex "\let\pdf+ \input $*"; dvipdfm $* ;; \
+	 pdftex ) pdftex $* ;; \
+	esac
 
 all: ctangle cweave
 
@@ -148,32 +160,36 @@
 # be sure to leave ctangle.c and common.c for bootstrapping
 clean:
 	$(RM) -f -r *~ *.o common.tex cweave.tex cweave.c ctangle.tex \
-	  *.log *.dvi *.toc *.idx *.scn core cweave.w.[12] cweave ctangle
+	  *.log *.dvi *.toc *.idx *.scn *.pdf core cweave ctangle
 
 install: all
+	- mkdir $(DESTDIR)
 	$(CP) cweave $(DESTDIR)$(DESTPREF)weave
 	chmod 755 $(DESTDIR)$(DESTPREF)weave
 	$(CP) ctangle $(DESTDIR)$(DESTPREF)tangle
 	chmod 755 $(DESTDIR)$(DESTPREF)tangle
+	- mkdir $(MANDIR)
 	$(CP) cweb.1 $(MANDIR)/cweb.$(MANEXT)
 	chmod 644 $(MANDIR)/cweb.$(MANEXT)
+	- mkdir $(MACROSDIR)
 	$(CP) cwebmac.tex $(MACROSDIR)
 	chmod 644 $(MACROSDIR)/cwebmac.tex
+	- mkdir $(EMACSDIR)
 	$(CP) cweb.el $(EMACSDIR)
 	chmod 644 $(EMACSDIR)/cweb.el
+	- mkdir $(CWEBINPUTS)
+	$(CP) c++lib.w $(CWEBINPUTS)
+	chmod 644 $(CWEBINPUTS)/c++lib.w
 
-bundle: $(ALL)
-	sed -n '1,2200 p' cweave.w > cweave.w.1
-	sed -n '2201,$$ p' cweave.w > cweave.w.2
-	/usr/local/bin/shar -m100000 -c -v -f cweb $(ALMOSTALL) cweave.w.[12]
+floppy: $(ALL) examples
+	bar cvhf /dev/rfd0 $(ALL) examples
+	bar tvf /dev/rfd0
+	eject
 
 tags: $(ALL)
-	etags -z $(ALL)
+	etags -lnone $(ALL)
 
-cweb.tar: $(ALL)
-	tar cvhf cweb.tar $(ALL)
+tarfile: $(ALL) examples
+	tar cvhf /tmp/cweb.tar $(ALL) examples
+	gzip -9 /tmp/cweb.tar
 
-floppy: $(ALL)
-	bar cvhf /dev/rfd0 $(ALL)
-	bar tvf /dev/rfd0
-	eject
