=== cweb/debian/changelog ===
cweb (3.64.debian-2) unstable; urgency=low

  * Change to Architecture: all

 -- Julian Gilbey <jdg@polya.uklinux.net>  Tue,  5 Apr 2005 10:16:56 +0100

cweb (3.64.debian-1) unstable; urgency=low

  * Become a dummy package depending on tetex-bin

 -- Julian Gilbey <jdg@polya.uklinux.net>  Mon,  4 Apr 2005 23:23:34 +0100

cweb (3.64-3) unstable; urgency=medium

  * Undo the "fix" made in -2; there was a bug in mmix, not in cweb
    according to Knuth, so this actually introduced a bug.

 -- Julian Gilbey <jdg@debian.org>  Wed, 24 Apr 2002 22:38:52 +0100

cweb (3.64-2) unstable; urgency=medium

  * Fix .idx typewriter variable bug (needs underscore to be quoted;
    breaks mmix) (closes: #142502)

 -- Julian Gilbey <jdg@debian.org>  Mon, 15 Apr 2002 22:03:05 +0100

cweb (3.64-1) unstable; urgency=low

  * New upstream version incorporating several of my patches ;-)

 -- Julian Gilbey <jdg@debian.org>  Mon, 18 Mar 2002 00:19:08 +0000

cweb (3.63a-3) unstable; urgency=low

  * Suggests: ctie
  * Improved change files from TeX point-of-view.

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Jan 2002 11:28:21 +0000

cweb (3.63a-2) unstable; urgency=low

  * Heavily hacked change files now mean that CWEB is compiled against the
    kpathsea library.
  * Also a few miscellaneous bugfixes to the sources; @i "file name.inc"
    now works as expected; max line length is now 1024, not 100; a small
    bug if a line began @D or whatever has been fixed as well.

 -- Julian Gilbey <jdg@debian.org>  Tue, 15 Jan 2002 03:16:39 +0000

cweb (3.63a-1) unstable; urgency=low

  * After a discussion about the +e option with Knuth, he explained that
    it prevents ugly PDF bookmark output when CWEB files are processed
    with PDFTeX, but was unaware of the cweb-latex issue.  He added a
    comment to the manpage, but didn't change version number, so this
    version is being called 3.63a in Debian.
  * However, I have now majorly hacked the cwebmac.tex file so that it
    overcomes the PDF problem and am sending it upstream.  In the
    meantime, the +e option will remain on for the benefit of cweb-latex
    users, and PDFTeX users will not have the ugly bookmarks.
  * Howzat?!

 -- Julian Gilbey <jdg@debian.org>  Wed, 21 Nov 2001 12:57:59 +0000

cweb (3.63-4) unstable; urgency=low

  * Modified the cweave source to use the +e option by default; without
    this, cweb-latex breaks, and it does not make any difference to
    ordinary users. (Closes: #98517 against the cweb-latex package)
    (The +e option was silently introduced between versions 3.43 and 3.63)

 -- Julian Gilbey <jdg@debian.org>  Wed,  6 Jun 2001 16:53:39 +0100

cweb (3.63-3) unstable; urgency=low

  * Get the DEB_BUILD_OPTIONS stuff right

 -- Julian Gilbey <jdg@debian.org>  Tue,  8 May 2001 10:24:12 +0100

cweb (3.63-2) unstable; urgency=low

  * Improved DEB_BUILD_OPTIONS=debug behaviour

 -- Julian Gilbey <jdg@debian.org>  Tue,  8 May 2001 09:03:28 +0100

cweb (3.63-1) unstable; urgency=low

  * New upstream version
  * Change Recommends: to include g++ | c++-compiler
  * Standards version 3.5.0

 -- Julian Gilbey <jdg@debian.org>  Thu, 15 Feb 2001 01:11:20 +0000

cweb (3.62-1) unstable; urgency=low

  * New upstream version (closes: #64272)

 -- Julian Gilbey <jdg@debian.org>  Thu,  7 Dec 2000 15:59:39 +0000

cweb (3.43-7) unstable; urgency=low

  * Correct key-binding -> local-key-binding and correct syntax in cweb.el
    (closes: #63889)

 -- Julian Gilbey <jdg@debian.org>  Wed, 10 May 2000 13:38:19 +0100

cweb (3.43-6) unstable; urgency=low

  * Remove install-stamp target from debian/rules
  * Make cweb-mode emacs bindings local rather than global (closes:
    #41887)
  * Standards-version 3.1.1: Make cweb FHS compliant etc

 -- Julian Gilbey <jdg@debian.org>  Tue, 23 Nov 1999 11:49:10 +0000

cweb (3.43-5) unstable; urgency=low

  * Moved tex input files from /usr/lib/texmf to /usr/share/texmf in line
    with the change in tetex-*, moving towards FHS compliance
  * Moved /usr/lib/cweb to /usr/share/cweb similarly

 -- Julian Gilbey <jdg@debian.org>  Fri,  9 Apr 1999 12:04:07 +0100

cweb (3.43-4) unstable; urgency=low

  * Removed CVS files from diff file!

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Feb 1999 19:53:59 +0000

cweb (3.43-3) unstable; urgency=low

  * Changed gcc flags to -O2 -g -Wall as described in Policy 4.1

 -- Julian Gilbey <jdg@debian.org>  Sun,  7 Feb 1999 21:20:02 +0000

cweb (3.43-2) unstable; urgency=low

  * Moved macros to a litprog directory (both TeX and Emacs) in line with
    the other literate programming tools.
  * Changed Recommends and Suggests fields to recommend both a C compiler
    and teTeX, and to suggest CWEBx.

 -- Julian Gilbey <jdg@debian.org>  Wed, 27 Jan 1999 13:16:36 +0000

cweb (3.43-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * Modified debian/rules to use debhelper.
  * Included cwebman.dvi in docs directory.
  * Corrected location of cweb.el file to .../site-lisp/cweb/cweb.el in
    accordance with Debian emacs policy.  I haven't created a .elc file as
    I do not want to make this package dependent upon emacsen.
  * Standards 2.5.0.0.
  * Lintian 0.9.3 satisfied (except that it doesn't know about
    Standards 2.5.0.0 yet).

 -- Julian Gilbey <jdg@debian.org>  Thu, 12 Nov 1998 14:44:40 +0000

cweb (3.4g-15) frozen unstable; urgency=low

  * `cweb.el' moved to /usr/share/emacs/site-lisp/ (Bug #21220).
  * Standards 2.4.1.0.
  * Lintian 0.4.2 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Thu, 16 Apr 1998 17:12:25 +0200

cweb (3.4g-14) unstable; urgency=low

  * Use `dh_md5sums'.
  * Lintian 0.2.2 satisfied.

 -- Milan Zamazal <pdm@fi.muni.cz>  Wed, 18 Feb 1998 19:02:39 +0100

cweb (3.4g-13) unstable; urgency=low

  * `checksums' renamed to `md5sums'.
  * Standards 2.4.0.0.

 -- Milan Zamazal <pdm@fi.muni.cz>  Fri, 13 Feb 1998 18:08:57 +0100

cweb (3.4g-12) unstable; urgency=low

  * `-isp' flag added to dpkg-gencontrol.

