=== cweb/debian/control ===
Source: cweb
Section: devel
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper

Package: cweb
Architecture: all
Depends: tetex-bin (>= 2.0.1-2)
Recommends: c-compiler | g++ | c++-compiler, tetex-base
Suggests: cwebx
Description: Dummy package for upgrade purposes only
 This is a dummy package which depends on tetex-bin, which now
 includes the CWEB suite of programs.
