=== cweb/debian/rules ===
#!/usr/bin/make -f
# debian/rules for cweb package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	# Nothing to do

clean:
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdeb
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
